<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Kerjasama</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-2 my-md-2 bd-layout">
  <div th:include="sidebar/sidebar_register::sidebar_register" th:remove="tag"> sidebar </div>

  <main class="bd-main-xxl">
    <div class="row">
      <div class="col-md-12">
        <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark" >
          <span>Kerjasama Yang Pernah Dikembangkan</span>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-md-12">
        <div class="card bg-body bg-opacity-50 shadow-sm">
<!--          <div class="card-header">-->
<!--            <h4>List</h4>-->
<!--          </div>-->
          <div class="card-body"><button type="button" th:if="${submit == null}" class="btn btn-primary rounded-pill" style="--bs-btn-bg: #15408d; background-image: var(--bs-gradient);" data-bs-toggle="modal" data-bs-target="#exampleModal">
            Tambah Data
          </button>
            <br>

            <!-- Modal -->
            <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
              <div class="modal-dialog">
                <form method="post" th:action="@{/form/kerjasama/save}" enctype="multipart/form-data">
                  <div class="modal-content">
                    <div class="modal-header">
                      <h5 class="modal-title" id="exampleModalLabel">Kerja Sama</h5>
                      <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                      <div class="mb-3">
                        <label>Nama Kegiatan</label>
                        <input type="text" name="namaKegiatan" class="form-control">
                      </div>
                      <div class="mb-3">
                        <label>Mitra Kerjasama</label>
                        <input type="text" name="mitraKerjasama" class="form-control">
                      </div>
                      <div class="mb-3">
                        <div class="row">
                          <div class="col-md-6">
                            <label>Bulan Mulai</label>
                            <select name="bulanMulai" class="form-select">
                              <option value="" selected disabled>-- Pilih --</option>
                              <option value="Januari">Januari</option>
                              <option value="Februari">Februari</option>
                              <option value="Maret">Maret</option>
                              <option value="April">April</option>
                              <option value="Mei">Mei</option>
                              <option value="Juni">Juni</option>
                              <option value="Juli">Juli</option>
                              <option value="Agustus">Agustus</option>
                              <option value="September">September</option>
                              <option value="Oktober">Oktober</option>
                              <option value="November">November</option>
                              <option value="Desember">Desember</option>
                            </select>
                          </div>
                          <div class="col-md-6">
                            <div class="mb-3">
                            <label>Tahun Mulai</label>
                            <input type="text" class="form-control" name="tahunMulai">
                            </div>
                          </div>
                        </div>
                      </div>
                      <div class="mb-3">
                        <div class="row">
                          <div class="col-md-6">
                            <label>Bulan Akhir</label>
                            <select name="bulanAkhir" class="form-select">
                              <option value="" selected disabled>-- Pilih --</option>
                              <option value="Januari">Januari</option>
                              <option value="Februari">Februari</option>
                              <option value="Maret">Maret</option>
                              <option value="April">April</option>
                              <option value="Mei">Mei</option>
                              <option value="Juni">Juni</option>
                              <option value="Juli">Juli</option>
                              <option value="Agustus">Agustus</option>
                              <option value="September">September</option>
                              <option value="Oktober">Oktober</option>
                              <option value="November">November</option>
                              <option value="Desember">Desember</option>
                            </select>
                          </div>
                          <div class="col-md-6">
                            <div class="mb-3">
                            <label>Tahun Akhir</label>
                            <input type="text" class="form-control" name="tahunAkhir">
                            </div>
                          </div>
                        </div>
                      </div>
                      <div class="mb-3">
                        <label>Bidang Kerjasama</label>
                        <input type="text" name="bidangKerjasama" class="form-control">
                      </div>
                      <div class="mb-3">
                        <label>Referensi (Keterlibatan ybs.)</label>
                        <input type="text" name="referensi" class="form-control">
                      </div>
                      <div class="mb-3">
                        <label>Upload File Pendukung</label>
                        <input type="file" class="form-control" name="image">
                      </div>
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-secondary rounded-pill" data-bs-dismiss="modal">Tutup</button>
                      <button type="submit" class="btn btn-primary rounded-pill">Simpan</button>
                    </div>
                  </div>
                </form>
              </div>
            </div>
            <br>
            <div class="table-responsive">
              <table class="table table-hover table-striped small">
                <thead class="table-dark" style="--bs-table-bg:#15408d;">
                <tr>
                  <th >#</th>
                  <th>Nama Kegiatan</th>
                  <th>Mitra Kerjsama</th>
                  <th>Dari(bulan, tahun)</th>
                  <th>Sampai(bulan, tahun)</th>
                  <th>Bidang Kerjasama</th>
                  <th>Referensi</th>
                  <th></th>
                  <th></th>
                </tr>
                </thead>
                <tbody>
                <tr class="align-middle" th:each="data, row:${list}">
                  <td th:text="${(row.index + 1) + (list.number * list.size)}">1.</td>
                  <td th:text="${data.namaKegiatan}"></td>
                  <td th:text="${data.mitraKerjasama}"></td>
                  <td th:text="${data.bulanMulai + ', ' + data.tahunMulai}"></td>
                  <td th:text="${data.bulanAkhir + ', ' + data.tahunAkhir}"></td>
                  <td th:text="${data.bidangKerjasama}"></td>
                  <td th:text="${data.referensi}"></td>
                  <td>
                    <a th:href="@{/form/kerjasama/{kerjasama}/(kerjasama = ${data.id})}" target="_blank" class="btn btn-warning btn-sm">Lihat File Upload</a>
                  </td>
                  <td>
                    <form th:if="${submit == null}" method="post" th:action="@{/form/delete/kerjasama(kerjasama=${data.id})}">
                      <button type="submit" class="btn btn-danger btn-sm"
                              onclick="return confirm('Are you sure want to delete this?')">
                        hapus
                      </button>
                    </form>
                  </td>
                </tr>
                </tbody>
              </table>
            </div>
          </div>
          <div class="card-footer">
            <div class="row">
              <div class="col-md-5 col-sm-5">
                <div th:if="${submit != null}"><div class="alert alert-warning p-2" th:text="${submit}"></div></div>
              </div>
              <div class="col-md-7 col-sm-7" style="text-align: right;">
                <a th:href="@{/form/presentasi}" class="btn btn-success rounded-pill">Selanjutnya</a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </main>
</main>
</body>
</html>